Subject: bug#1291: 23.0.60; 1) resize-mini-windows: customizable, 2) if grow mini, grow Completions

From: martin rudalics <[email-masked]>
Date: Mon, 03 Nov 2008 09:58:34 +0100

> In sum, if *Completions* is visible during minibuffer completion, then the
 > minibuffer should take its window into account. If not, it need not worry about
 > it.

Ever since 1999 this is handled by Gerd's shrink_window_lowest_first
function.  That function takes lines from the window above the
minibuffer window and IIUC currently doesn't even care about fixed-size
windows.  It certainly doesn't care about what _kind of buffer_ is
displayed in that window.  Moreover, the code responsible for re-growing
the window after the minibuffer is re-shrunk will grow the lowest window
again and we'll be left with a spare line if we earlier shrank the upper
window.

So the only solution I can think of is to convey some information to
shrink_window_lowest_first, with the help of a buffer-local variable,
telling that a window showing that buffer should not be resized if it is
possible to resize another window instead.

martin